---
sidebar_position: 10
description: Create barcode and other functions to work with CDEK in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, CDEK]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Create barcode
 Generates a PDF barcode CP for orders



`Function CreateBarcode(Val Token, Val UUIDArray, Val Copies = 1, Val Format = "A4", Val Lang = "RUS", Val TestAPI = False) Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | Token | --token | String | &#x2714; | Auth token |
  | UUIDArray | --uuids | String, Array of String | &#x2714; | One or an array of order UUIDs |
  | Copies | --count | Number | &#x2716; | Number of copies |
  | Format | --format | String | &#x2716; | Print format: A4, A5, A6, A7 |
  | Lang | --lang | String | &#x2716; | Barcode language: RUS, ENG |
  | TestAPI | --testapi | Boolean | &#x2716; | Flag to use test API for requests |

  
  Returns:  Map Of KeyAndValue - serialized JSON response from CDEK

:::tip
Method at API documentation: [Creating barcode CP for the order](https://api-docs.cdek.ru/36969713.html)
:::
<br/>


```bsl title="1C:Enterprise/OneScript code example"
    Token  = "eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9. ...";
    UUID   = "50fbb719-69d4-4ded-93ca-ff7d005c9fae";
    Format = "A5";
    Copies = 1;

    Result = OPI_CDEK.CreateBarcode(Token, UUID, Copies, Format, , True);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint cdek CreateBarcode \
             --token "***" \
             --uuids "9e15fe3c-2071-4ed8-9ded-70df723825d3" \
             --count 1 \
             --format "A5" \
             --testapi "***"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint cdek CreateBarcode ^
             --token "***" ^
             --uuids "9e15fe3c-2071-4ed8-9ded-70df723825d3" ^
             --count 1 ^
             --format "A5" ^
             --testapi "***"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "entity": {
  "uuid": "ffa243b5-a031-4393-b07a-28f5f7cb3e58"
 },
 "requests": [
  {
   "request_uuid": "f181961f-7fe0-4991-a8b9-d51ba75f9a43",
   "type": "CREATE",
   "date_time": "2025-12-10T20:09:25+00:00",
   "state": "ACCEPTED"
  }
 ],
 "related_entities": []
}
```
